<ion-header>
</ion-header>

<ion-content>
  <div class="logoBar">
    <img src="assets/logo.svg">
    <div class="menuBar">
      <ul>
        <li>Accounts</li>
        <li>Cards</li>
        <!-- <li>Saving</li> -->
        <!-- <li>Partners</li> -->
        <li>FAQ</li>
        <!-- <li>Deposit/Withdraw</li> -->
        <li *ngIf='(!step1)||(!step2)||(!step0)'><button (click)="checkResult('hard')" color="light" >Hard Verification</button></li>
        <li *ngIf='(!step1)||(!step2)||(!step0)'><button (click)="checkResult('light')" color="light" >Light Verification</button></li>
      </ul>
    </div>
  </div>
  <div class="entertainment">
    <div class="enterTextCover">
      <!-- <img src="assets/background.svg" alt=""> -->
    </div>
    
    <div class="formCover">

      <div class="form" *ngIf="step1">
        <p class="clickStart" (click)="start()">Click to Start now</p>
        <h3 class="title">A new way to create a bank account</h3>
        <p class="subtitle">Faster and easier</p>
      </div>

      <div class="form" *ngIf="step2">
        <p class="required">We will ask you to share</p>
        <div class="credentialsList">
          
          <div class="credential">
            <img src="assets/national.svg" alt="">
            <div class="credentialContent">
              <h3>ProximaXCity ID</h3>
              <p>ProximaXCity ID Government</p>
            </div>
          </div>
          <br>

          <div class="credential">
            <img src="assets/global.svg" alt="">
            <div class="credentialContent">
              <h3>ProximaXCity Passport</h3>
              <p>ProximaXCity Passport Department</p>
            </div>
          </div>

          <p *ngIf="warning" style="color: red"> *Choosing one credentail type!</p>
        </div>

        <div class="clickStart" (click)="login()">
          Continue
        </div>
      </div>

  
        <div class="form" *ngIf="step0">
          <div class="welcomeBank">
          <p class="title">Welcome to Zamo Bank</p>    
            <div class="btnCreate">
              <ion-button (click)="start()" color="light" >Create Account</ion-button>
            </div>

            <div class="btnVerify">
              <ion-button (click)="checkResult('hard')" color='dark'>Hard Verification</ion-button>
            </div>

            <div class="btnVerify">
              <ion-button (click)="checkResult('light')" color='dark'>Light Verification</ion-button>
            </div>

          </div>
        </div>

      <div class="form1" *ngIf="step3">
        <div class="qrCode" *ngIf="showImg" (click) = "deeplink('login')">
          <img [src]="qrImg">
        </div>
        <div *ngIf="warning2" style="color: red">
          <p>*Network is not stable!</p>
        </div>
        <p class="deeplink">Click on QR code to open your SiriusID App</p>
        <p class="scanNote">Scan the QR Code with SiriusID App</p>
        <div class="reload" (click)="refresh()">
          Refresh
        </div>

      </div>

      <div class="form" *ngIf="step4">
        <div class="submit" >
          Submit Credential
        </div>
        <div class="formContent">
    
          <fieldset>
            <legend> Acccount Type</legend>
            <ion-select interface="popover" [(ngModel)]="type">
              <ion-select-option value="Saving Bank Account">Saving Bank Account</ion-select-option>
              <ion-select-option value="Current Account">Current Account</ion-select-option>
              <ion-select-option value="Recurring Deposit">Recurring Deposit</ion-select-option>
              <ion-select-option value="Special Term Deposit">Special Term Deposit</ion-select-option>
            </ion-select>
          </fieldset>
    
          <fieldset>
            <legend> ATM Card </legend>
            <ion-select interface="popover" [(ngModel)]="atmCard">
              <ion-select-option value="Standard">Standard</ion-select-option>
              <ion-select-option value="Platinum">Platinum</ion-select-option>
              <ion-select-option value="Gold">Gold</ion-select-option>
              <ion-select-option value="Super VIP">Super VIP</ion-select-option>
            </ion-select>
          </fieldset>

          <fieldset class="inlineField">
            <legend> Quantity of Card </legend>
            <ion-input [(ngModel)]="quantity" type="number" max="10" min="0"></ion-input>
          </fieldset>
    
          <fieldset class="inlineField rightField">
            <legend> Issue Type </legend>
            <ion-select interface="popover" [(ngModel)]="issue">
              <ion-select-option value="Regular">Regular</ion-select-option>
              <ion-select-option value="Quick">Quick</ion-select-option>
            </ion-select>
          </fieldset>
          <div style="clear:both"></div>
          <fieldset>
            <legend> Payment Fee </legend>
            <ion-select interface="popover" [(ngModel)]="feePayment">
              <ion-select-option value="Auto debit to account">Auto debit to account</ion-select-option>
              <ion-select-option value="Cash deposit">Cash deposit</ion-select-option>
            </ion-select>
          </fieldset>

          <fieldset>
            <legend> Primary Card Holder name embossed (in capital letter) </legend>
            <ion-input [(ngModel)]="holderName"></ion-input>
          </fieldset>

          <fieldset class="inlineField">
            <legend> Internet Banking Service</legend>
            <ion-select interface="popover" [(ngModel)]="internetBanking">
              <ion-select-option value="Yes">Yes</ion-select-option>
              <ion-select-option value="No">No</ion-select-option>
            </ion-select>
          </fieldset>

          <fieldset class="inlineField rightField">
            <legend> SMS Alerts Service</legend>
            <ion-select interface="popover" [(ngModel)]="smsAlert">
              <ion-select-option value="Yes">Yes</ion-select-option>
              <ion-select-option value="No">No</ion-select-option>
            </ion-select>
          </fieldset>
          
          <div class="checkBox">
            <ion-checkbox class="checkbox-square" [(ngModel)]="aggree"></ion-checkbox>
            <p>I have read, understand and agree to be bound by all relevant <span style="color:#1F83FF">terms and conditions</span>.</p>
          </div>

          <div *ngIf="warning" style="color: red">
            <p style="margin-bottom: 0;">{{messErr}}</p>
          </div>
        </div> 

        <div class="clickStart" (click)="continue()">
          Submit and Continue
        </div>

      </div>

      <div class="form1" *ngIf="step5">
        <p class="deeplink">Click on QR code to open your SiriusID App</p>
        <p class="scanNote">Scan the QR Code with SiriusID App</p>
        <div class="qrCode" *ngIf="qrCredential" (click) = "deeplink('credential')">
          <img [src]="qrCredential">
        </div>
        
        <div class="clickStart" (click)="finish()">
          CONTINUE
        </div>
      </div>

      <div class="form" *ngIf="step6">
        <h3 class="title">Congratulations</h3>
        <img src="assets/congratulation.svg" alt="" class="congratImg">
        <p class="account1" >Your Account has been created</p>
        <p class="account2" >You can see your account on SiriusID App and click <span (click)="checkResult('hard')">Hard Verification</span> or <span (click)="checkResult('light')">Light Verification</span> to verify your information</p>
      </div>

    </div>
  </div>
  <div class="description">
    <!-- <img src="assets/content1.svg" alt=""> -->
    <!-- <img src="assets/content2.svg" alt=""> -->
    <!-- <img src="assets/content3.svg" alt=""> -->
    <!-- <div class="note">
      <p><b>Note:</b> This website is privately owned and used for testing purposes only. It is not affiliated with any government or entity mentioned herein.</p>
    </div> -->
  </div>
  <div class="bottomBar">
    <img src="assets/bottomBar.png">
  </div>
</ion-content>
